package com.kingdee.eas.custom.dormitorysystem.application;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractCheckoutApplicationEntryInfo extends com.kingdee.eas.hr.base.HRBillBaseEntryInfo implements Serializable 
{
    public AbstractCheckoutApplicationEntryInfo()
    {
        this("id");
    }
    protected AbstractCheckoutApplicationEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's 单据头 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.application.CheckoutApplicationInfo getParent()
    {
        return (com.kingdee.eas.custom.dormitorysystem.application.CheckoutApplicationInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.dormitorysystem.application.CheckoutApplicationInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 分录 's 人员 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object: 分录 's 所在部门 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrg()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrg");
    }
    public void setAdminOrg(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrg", item);
    }
    /**
     * Object: 分录 's 所属职位 property 
     */
    public com.kingdee.eas.basedata.org.PositionInfo getPosition()
    {
        return (com.kingdee.eas.basedata.org.PositionInfo)get("position");
    }
    public void setPosition(com.kingdee.eas.basedata.org.PositionInfo item)
    {
        put("position", item);
    }
    /**
     * Object: 分录 's 现住房间 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo getCurrentRoom()
    {
        return (com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo)get("currentRoom");
    }
    public void setCurrentRoom(com.kingdee.eas.custom.dormitorysystem.dormitory.DormitoryInfo item)
    {
        put("currentRoom", item);
    }
    /**
     * Object:分录's 入住日期property 
     */
    public java.util.Date getCheckInDate()
    {
        return getDate("checkInDate");
    }
    public void setCheckInDate(java.util.Date item)
    {
        setDate("checkInDate", item);
    }
    /**
     * Object:分录's 退宿日期property 
     */
    public java.util.Date getCheckoutDate()
    {
        return getDate("checkoutDate");
    }
    public void setCheckoutDate(java.util.Date item)
    {
        setDate("checkoutDate", item);
    }
    /**
     * Object:分录's 注意事项property 
     */
    public String getNotes()
    {
        return getString("notes");
    }
    public void setNotes(String item)
    {
        setString("notes", item);
    }
    /**
     * Object: 分录 's 入住人员信息 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.occupants.OccupantsInfo getOccupants()
    {
        return (com.kingdee.eas.custom.dormitorysystem.occupants.OccupantsInfo)get("occupants");
    }
    public void setOccupants(com.kingdee.eas.custom.dormitorysystem.occupants.OccupantsInfo item)
    {
        put("occupants", item);
    }
    /**
     * Object:分录's 原退宿日期property 
     */
    public java.util.Date getOldCheckoutDate()
    {
        return getDate("oldCheckoutDate");
    }
    public void setOldCheckoutDate(java.util.Date item)
    {
        setDate("oldCheckoutDate", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("74F1AE25");
    }
}